#!/bin/sh

rm -f ventoy*.tar.gz

VERSION=$(basename $(wget -qO- https://github.com/ventoy/Ventoy/releases|sort|awk -F\" '/linux.tar.gz/&&/href/{print $2}'| tail -n1))

VERSIONNUMBER=$(echo $VERSION|sed 's/linux.tar.gz//' |sed 's/[^0-9.]//g')

SHA256=$(wget -qO- https://github.com/ventoy/Ventoy/releases |grep ^$VERSION|awk '{print $2}')

wget -qO- https://github.com/ventoy/Ventoy/releases|awk -F\" '/linux.tar.gz/&&/href/{print $2;exit}'|wget -B https://github.com -Ni-

echo "$SHA256 $VERSION">ventoysha256
cat ventoysha256 |grep linux.tar.gz >ventoysha256sum
rm -f ventoysha256

echo "$(ls -1 ventoy*.tar.gz) usr/share/kanotix-iso-writer" >debian/kiw-ventoy.install

dch --distribution unstable --newversion $VERSIONNUMBER "Ventoy $VERSIONNUMBER"

debuild -S

echo "Version is: $VERSION"
echo "Version Number is: $VERSIONNUMBER"
echo "SHA-256 sum is: $SHA256"
